/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn1}", "click", function(sym, e) {
         sym.getSymbol("inf1").play();
         
         /*sym.$("Rectangle11").css("background-color","rgba(242,213,37,1.00)");
         sym.$("story").animate({opacity: '0.25'});*/
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn2}", "click", function(sym, e) {
         sym.getSymbol("inf2").play();
         //sym.$("Rectangle11").css("background-color","rgba(242,213,37,1.00)");
         //sym.$("story").animate({opacity: '0.25'});

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn3}", "click", function(sym, e) {
         sym.getSymbol("inf3").play();
         
         sym.$("imgsound").show("slow");
         
         sym.getSymbol("story").getSymbol("children_sim").getSymbol("girl2").play(4001);
         sym.getSymbol("story").getSymbol("children_sim").getSymbol("body1").play(4001);
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'story'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3100, function(sym, e) {
         // introducir código aquí
         sym.getSymbol("children_sim").getSymbol("girl2").getSymbol("head2").getSymbol("mouth2").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3700, function(sym, e) {
         sym.getSymbol("children_sim").getSymbol("body1").getSymbol("head1").getSymbol("mouth1").play();

      });
      //Edge binding end

   })("story");
   //Edge symbol end:'story'

   //=========================================================
   
   //Edge symbol: 'children_sim'
   (function(symbolName) {   
   
   })("children_sim");
   //Edge symbol end:'children_sim'

   //=========================================================
   
   //Edge symbol: 'head1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("head1");
   //Edge symbol end:'head1'

   //=========================================================
   
   //Edge symbol: 'mouth1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1100, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("mouth1");
   //Edge symbol end:'mouth1'

   //=========================================================
   
   //Edge symbol: 'body1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4900, function(sym, e) {
         sym.getSymbol("head1").getSymbol("mouth1").stop(1100);

      });
      //Edge binding end

   })("body1");
   //Edge symbol end:'body1'

   //=========================================================
   
   //Edge symbol: 'head2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2100, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("head2");
   //Edge symbol end:'head2'

   //=========================================================
   
   //Edge symbol: 'mouth2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1400, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("mouth2");
   //Edge symbol end:'mouth2'

   //=========================================================
   
   //Edge symbol: 'girl2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.getSymbol("head2").getSymbol("mouth2").play(1500);

      });
      //Edge binding end

   })("girl2");
   //Edge symbol end:'girl2'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_ampliar");
   //Edge symbol end:'bt_ampliar'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().$("info_dialogo").show();
         sym.getComposition().getStage().getSymbol("info_dialogo").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         sym.getComposition().getStage().$("info_dialogo").hide();
         sym.getComposition().getStage().getSymbol("info_dialogo").stop("inicio");
         

      });
      //Edge binding end

   })("bt_info");
   //Edge symbol end:'bt_info'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'inf1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         sym.getComposition().getStage().getSymbol("btn1").stop("up");
         
         sym.getComposition().getStage().$("Rectangle11").css("background-color","rgba(255,255,255,1.00)");
         //sym.$("Rectangle11").css("background-color","rgba(242,213,37,1.00)");
         sym.getComposition().getStage().$("story").animate({opacity: '1.00'});
         

      });
      //Edge binding end

   })("inf1");
   //Edge symbol end:'inf1'

   //=========================================================
   
   //Edge symbol: 'inf1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         sym.getComposition().getStage().getSymbol("btn2").stop("up");
         
         //sym.getComposition().getStage().$("Rectangle11").css("background-color","rgba(255,255,255,1.00)");
         //sym.$("Rectangle11").css("background-color","rgba(242,213,37,1.00)");
         //sym.getComposition().getStage().$("story").animate({opacity: '1.00'});
         

      });
      //Edge binding end

   })("inf2");
   //Edge symbol end:'inf2'

   //=========================================================
   
   //Edge symbol: 'inf2_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse();
         sym.getComposition().getStage().getSymbol("btn3").stop("up");
         sym.getComposition().getStage().$("imgsound").hide();
         sym.getComposition().getStage().getSymbol("story").getSymbol("children_sim").getSymbol("girl2").play(0);
         sym.getComposition().getStage().getSymbol("story").getSymbol("children_sim").getSymbol("body1").play(0);
         
         

      });
      //Edge binding end

   })("inf3");
   //Edge symbol end:'inf3'

})(jQuery, AdobeEdge, "EDGE-5531445");